#include <iostream>
#include <fstream>
#include <vector>
#include <stdlib.h>
#include "pont.h"
#include "kor.h"
#include "negyzet.h"
#include "poligon.h"

using namespace std;

// vector feltltse fjlbl
void feltolt(vector<Alakzat*> & p);

int main()
{
    vector<Alakzat*> t;
    feltolt(t);

    // tszg
    /*vector<pont> points;
    points.push_back(pont(0,0));
    points.push_back(pont(1,0));
    points.push_back(pont(1,1));
    points.push_back(pont(0.5,2));
    points.push_back(pont(0,1));

    t.push_back(new Poligon(points));*/

    try{

        pont p(1,1);

        double d = 0;
        for(int i=0;i<t.size();++i)
        {
            if(t[i]->rajtavan(p))
                cout << "A(z) " << i << ". alakzaton rajta van" << endl;
            d += t[i]->terulet();
        }
        cout << "sszterlet: " << d << endl;
    }
    catch(Poligon::errors err)
    {
        if(err == Poligon::UNIMPLEMENTED)
            cout << "tszg terlete nincs implementlva";
        else
            cout << "Ismeretlen hiba";
    }


    return 0;
}

void feltolt(vector<Alakzat*> & p)
{
    // fjl megnyitsa
    ifstream file("alakzat.txt");
    double a,b,c;
    int n;
    // pontok szma
    file >> n;
    for(int i=0;i<n;++i)
    {
        char id;
        file >> id;
        file >> a;
        file >> b;
        file >> c;
        if('n'==id)
            p.push_back(new Negyzet(a,b,c));
        else if('k'==id)
            p.push_back(new kor(a,b,c));
    }

}
