#ifndef NEGYZET_H_INCLUDED
#define NEGYZET_H_INCLUDED

#include "alakzat.h"
#include "pont.h"

class Negyzet : public Alakzat
{
    pont p;
    double a;
public:
    Negyzet(double x, double y, double o) : p(x,y), a(o){}

    double terulet()const { return a*a; }

    bool rajtavan(pont q)
    {
        return (q.getX()-p.getX() >= 0 && q.getX()-p.getX() <= a
           && q.getY()-p.getY() >= 0 && q.getY()-p.getY() <= a);
    }
};

#endif // NEGYZET_H_INCLUDED
